:root {
    --primary-color: #069;
    --secondary-color: #0033cc;
    --tertiary-color: #f1f1f1;
}

p {
    font-family: 'Poppins', sans-serif;
}

h2 {
    font-family: "Playfair Display", serif;
}

h3 {
    color: var(--primary-color);
    font-weight: 800;
    font-family: 'Open Sans', sans-serif;
}

.list-group-item {
    background: #e3e3e3;
    padding: 10px 15px;
    border-radius: 10px;
    margin-bottom: 10px;
}

header .nav-item .nav-link {
    color: black;
    font-weight: 600;
    transition: color 0.3s ease;
    margin-right: 15px;
}

header {
    padding: 20px;
}

header.scrolled {
    padding: 5px 0 !important;
    position: fixed;
    top: 0;
    width: 100%;
    background: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 999;
    transition: all 0.8s ease;
}

/* ======================================================================== */
.hero {
    background: url(../image/home/anindra.jpg);
    background-size: cover;
    background-position: center center;
    height: 100dvh;
    background-repeat: no-repeat;
}

@media screen and (max-width: 768px) {
    .hero {
        height: 35vh;
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
        width: 100% !important;
    }
}

/* ================================================= */
.head-title h2 {
    color: var(--secondary-color);
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    font-size: 40px;
}

.head-title span {
    color: var(--primary-color);
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 50px;
}

@media screen and (max-width: 768px) {
    .head-title h2 {
        color: var(--secondary-color);
        font-family: 'Courier New', Courier, monospace;
        font-weight: bold;
        font-size: 20px;
    }

    .head-title span {
        color: var(--primary-color);
        font-family: 'Open Sans', sans-serif;
        font-weight: bold;
        font-size: 30px;
    }

}

/* ===================================================== */
.service .card {
    border: none;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease-in-out;
    padding: 20px;
    border-radius: 15px;
}

.service .card:hover {
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
    transform: translateY(-5px);
}

.service .card img {
    width: 90px;
    height: 90px;
    margin: 10px auto 20px;
    display: block;
    border-radius: 50%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.service .card:hover img {
    transform: scale(1.1);
}

.service .card-body h5 {
    color: var(--primary-color);
    font-weight: 600;
    text-align: center;
    margin-bottom: 15px;
}

.service .card-text {
    font-size: 0.95rem;
    color: #555;
    text-align: center;
    min-height: 100px;
}

.service .btn {
    display: block;
    margin: 0 auto;
    background-color: var(--primary-color);
    border: none;
    transition: background-color 0.3s ease;
    padding: 8px 20px;
    font-weight: 500;
    border-radius: 50px;
}

.service .btn:hover {
    background-color: #0b5ed7;
    /* fallback or darker shade */
}

/* ==================================================== */
.contact-section {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)), url(../image/home/contact.jpg);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

/* ====================================================== */
.why-choose-us .border-hover {
    border: 2px solid transparent;
    transition: border 0.3s, transform 0.3s;
}

.why-choose-us .border-hover:hover {
    border-color: var(--primary-color);
    transform: translateY(-5px);
}

/* =================================================== */
.gallery img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 15px;
}

/* Toast Notification */
.toast-notification {
    visibility: hidden;
    min-width: 280px;
    background-color: #28a745;
    color: white;
    text-align: center;
    border-radius: 8px;
    padding: 16px;
    position: fixed;
    z-index: 9999;
    right: 30px;
    bottom: 30px;
    font-weight: bold;
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.1);
    transition: opacity 0.5s ease-in-out, bottom 0.5s ease-in-out;
}

.toast-notification.error {
    background-color: #dc3545;
}

.toast-notification.show {
    visibility: visible;
    bottom: 50px;
    opacity: 1;
}

/* ============================================================= */
/* From Uiverse.io by barisdogansutcu */
.btn {
    position: relative;
    overflow: hidden;
    outline: none;
    cursor: pointer;
    border-radius: 50px;
    background-color: hsl(255deg 50% 40%);
    border: solid 4px hsl(50deg 100% 50%);
    font-family: inherit;
}

.default-btn,
.hover-btn {
    background-color: hsl(255deg 50% 40%);
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 10px 20px;
    border-radius: 50px;
    font-size: 17px;
    font-weight: 500;
    text-transform: uppercase;
    transition: all .3s ease;
}

.hover-btn {
    position: absolute;
    inset: 0;
    background-color: hsl(255deg 50% 49%);
    transform: translate(0%, 100%);
}

.default-btn span {
    color: hsl(0, 0%, 100%);
}

.hover-btn span {
    color: hsl(50deg 100% 50%);
}

.btn:hover .default-btn {
    transform: translate(0%, -100%);
}

.btn:hover .hover-btn {
    transform: translate(0%, 0%);
}
/* =============================================== */
.contact input, .contact textarea{
    border: none;
    border-bottom: 1px solid var(--primary-color);
    outline: none;
    box-shadow: none;
}
.contact .placeholder{
    color: var(--primary-color);
    font-weight: 600;
}
.contact label{
    color: var(--primary-color);
    font-weight: 600;
}
/* ========================================================= */
/* From Uiverse.io by barisdogansutcu */
.btn-lg {
    position: relative;
    overflow: hidden;
    outline: none;
    cursor: pointer;
    border-radius: 50px;
    background-color: hsl(255deg 50% 40%);
    border: solid 4px hsl(50deg 100% 50%);
    font-family: inherit;
}

.default-btn,
.hover-btn {
    background-color: hsl(255deg 50% 40%);
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px 8px;
    border-radius: 50px;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    transition: all .3s ease;
}

.hover-btn {
    position: absolute;
    inset: 0;
    background-color: hsl(255deg 50% 49%);
    transform: translate(0%, 100%);
}

.default-btn span {
    color: hsl(0, 0%, 100%);
}

.hover-btn span {
    color: hsl(50deg 100% 50%);
}

.btn-lg:hover .default-btn {
    transform: translate(0%, -100%);
}

.btn-lg:hover .hover-btn {
    transform: translate(0%, 0%);
}